POST
/api/v2/vouchers/liability/previewPOST /api/v2/vouchers/liability/preview
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Name | string | Yes | |
| Description | string | No | |
| GroupPublicId | string (uuid) | No | |
| TargetUserId | unknown | No | |
| CustomCode | string | No | |
| Prefix | string | No | |
| Type | string | No | |
| Value | unknown | No | |
| Currency | string | No | |
| PerUserLimit | unknown | No | |
| MaximumTotalUses | unknown | No | |
| MaximumAggregateValue | unknown | No | |
| RequiresWhitelabelApproval | boolean | No | |
| RequiresEmail2Fa | boolean | No | |
| ValidFrom | string (date-time) | No | |
| ValidUntil | string (date-time) | No | |
| InitialStatus | string | No | |
| ExternalReference | string | No | |
| AcceptUnboundedLiability | boolean | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Currency | string | Yes | |
| Outstanding | unknown | Yes | |
| Reserved | unknown | Yes | |
| Unbounded | boolean | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/vouchers/liability/preview" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Name":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.